{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf true {

  # fix: Hostname -s renvoie "Unknown host" alors que hostname renvoie la bonne valeur
  #      Il s'avère que hostname vérifie la validité du FQDN et du reverse.
  #      Fixer ces paramètres dans les hosts permet de faire tomber en marche
  networking.extraHosts = ''                                                                                                                                                                                                                                                 
    127.0.0.1   ${config.networking.hostName}                                                                                                                                                                                                                             
  '';

  boot.kernel.sysctl = {
    "net.ipv4.conf.all.forwarding" = true;
    "net.ipv4.conf.default.forwarding" = true;
  };
}
